NX Open C++ Reference Guide
|
Interface class for all routing segments [Line/Arc/Spline]
Created in NX4.0.0.
More...
Public Member Functions | |
virtual NXOpen::Routing::ConvertEccentricLinearToLinear | ConvertEccentricLinearToLinear ()=0 |
Is line segment eccentric converted to line segment? | |
virtual NXOpen::Routing::ConvertLinearToEccentricLinear | ConvertLinearToEccentricLinear ()=0 |
Is line segment converted to eccentric line segment? | |
virtual NXOpen::Curve * | FollowCurve ()=0 |
Returns the segment follow curve. | |
virtual std::vector < NXOpen::Routing::Electrical::CableDevice * > | GetCableDevices ()=0 |
Returns Routing::Electrical::CableDevice objects from Routing::ISegment . | |
virtual std::vector < NXOpen::Routing::Electrical::CablewaysLayoutView * > | GetCablewaysLayoutViews ()=0 |
Returns Routing::Electrical::CablewaysLayoutView objects from the Routing::ISegment . | |
virtual void | GetEndPoints (NXOpen::Point3d *startPoint, NXOpen::Point3d *endPoint)=0 |
Get the current location of the segment ends in ABS coordinates. | |
virtual void | GetEndRcps (NXOpen::Routing::ControlPoint **startRcp, NXOpen::Routing::ControlPoint **endRcp)=0 |
Return of segment end control points. | |
virtual NXOpen::Routing::Eccentric | GetIsEccentricSegment ()=0 |
Is given segment a eccentric segment? | |
virtual NXOpen::Routing::Interior | GetIsSegmentInterior ()=0 |
Query if a segment is interior to any part. | |
virtual NXOpen::Routing::Terminal | GetIsTerminalSegment ()=0 |
Is given segment a terminal segment? | |
virtual std::vector < NXOpen::Routing::Stock * > | GetSegmentAllStocks ()=0 |
Returns Routing::Stock as well as Routing::Overstock objects from the Routing::ISegment . | |
virtual std::vector < NXOpen::Routing::Stock * > | GetSegmentStock ()=0 |
Returns all stocks that directly reference this segment as part of the path defining the stock. | |
virtual void | SetEndPoints (const NXOpen::Point3d &startPoint, const NXOpen::Point3d &endPoint)=0 |
Set the current location of the segment ends in ABS coordinates. | |
virtual void | SetEndRcps (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp)=0 |
Created in NX4.0.0. | |
virtual void | SetIsTerminalSegment (NXOpen::Routing::Terminal isTerminal)=0 |
Set given segment to be a terminal segment? Created in NX4.0.0. | |
virtual void | SetSegmentInteriorPart (NXOpen::Assemblies::Component *interiorPart)=0 |
Set a segment to be interior to supplied part Created in NX4.0.0. | |
![]() | |
virtual void | DeleteCharacterstics (NXOpen::Routing::CharacteristicList *values)=0 |
Removes the input list of characteristics from this object. | |
virtual NXOpen::Routing::CharacteristicList * | GetCharacteristics ()=0 |
Get all of the characteristics values on the this object. | |
virtual NXOpen::Routing::CharacteristicList * | GetDestinationCharacteristics ()=0 |
Returns the destination characteristics from the input object. | |
virtual int | GetIntegerCharacteristic (const NXString &name)=0 |
Get the value of an integer characteristic associated with the input name. | |
int | GetIntegerCharacteristic (const char *name) |
Get the value of an integer characteristic associated with the input name. | |
virtual double | GetRealCharacteristic (const NXString &name)=0 |
Get the value of a real characteristic associated with the input name. | |
double | GetRealCharacteristic (const char *name) |
Get the value of a real characteristic associated with the input name. | |
virtual NXString | GetStringCharacteristic (const NXString &name)=0 |
Get the value of a string characteristic associated with the input name. | |
NXString | GetStringCharacteristic (const char *name) |
Get the value of a string characteristic associated with the input name. | |
virtual void | SetCharacteristic (const NXString &name, int value)=0 |
Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
void | SetCharacteristic (const char *name, int value) |
Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
virtual void | SetCharacteristic (const NXString &name, double value)=0 |
Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
void | SetCharacteristic (const char *name, double value) |
Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
virtual void | SetCharacteristic (const NXString &name, const NXString &value)=0 |
Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
void | SetCharacteristic (const char *name, const char *value) |
Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
virtual void | SetCharacteristics (NXOpen::Routing::CharacteristicList *values)=0 |
Set all of the characteristics values on this object. | |
![]() | |
virtual NXOpen::INXObject * | FindObject (const NXString &journalIdentifier)=0 |
Finds the NXObject with the given identifier as recorded in a journal. | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
virtual bool | IsOccurrence ()=0 |
Returns whether this object is an occurrence or not. | |
virtual NXString | JournalIdentifier ()=0 |
Returns the identifier that would be recorded in a journal for this object. | |
virtual NXString | Name ()=0 |
Returns the custom name of the object. | |
virtual NXOpen::Assemblies::Component * | OwningComponent ()=0 |
Returns the owning component, if this object is an occurrence. | |
virtual NXOpen::BasePart * | OwningPart ()=0 |
Returns the owning part of this object Created in NX3.0.0. | |
virtual void | Print ()=0 |
Prints a representation of this object to the system log file. | |
virtual NXOpen::INXObject * | Prototype ()=0 |
Returns the prototype of this object if it is an occurrence. | |
virtual void | SetName (const NXString &name)=0 |
Sets the custom name of the object. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
Interface class for all routing segments [Line/Arc/Spline]
Created in NX4.0.0.
|
pure virtual |
Is line segment eccentric converted to line segment?
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Is line segment converted to eccentric line segment?
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Returns the segment follow curve.
NULL object indicates segment has no follow curve
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Returns Routing::Electrical::CableDevice objects from Routing::ISegment .
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Returns Routing::Electrical::CablewaysLayoutView objects from the Routing::ISegment .
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Get the current location of the segment ends in ABS coordinates.
This value is overridden by the coordinates of the end RCPs associated with this segment.
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
startPoint | Location of end 0 in ABS coordinates |
endPoint | Location of end 1 in ABS coordinates |
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Return of segment end control points.
The @link Routing::ControlPoint Routing::ControlPoint@endlink defines an end of a segment
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
startRcp | RCP defining start of segment |
endRcp | RCP defining end of segment |
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Is given segment a eccentric segment?
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Query if a segment is interior to any part.
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Is given segment a terminal segment?
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Returns Routing::Stock as well as Routing::Overstock objects from the Routing::ISegment .
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Returns all stocks that directly reference this segment as part of the path defining the stock.
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Set the current location of the segment ends in ABS coordinates.
This value is overridden by the coordinates of the end RCPs associated with this segment.
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
startPoint | New location of end 0 in ABS coordinates |
endPoint | New location of end 1 in ABS coordinates |
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
startRcp | RCP defining start of segment |
endRcp | RCP defining end of segment |
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Set given segment to be a terminal segment?
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
isTerminal | Set as terminal segment? |
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.
|
pure virtual |
Set a segment to be interior to supplied part
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
interiorPart | Part segment interior? |
Implemented in NXOpen::Routing::LineSegment, NXOpen::Routing::GapArcSegment, NXOpen::Routing::ArcSegment, and NXOpen::Routing::SplineSegment.